(() => {
    const id = 'sort-override';
    const title = 'Sort Override';
    const desc = "This script uses a better sort of the author's creation to avoid scrambled up banks";
    const imgSrc = 'assets/media/main/bank_header.svg';

    const betterSortOrder = [
        CONSTANTS.item.Normal_Logs,
        CONSTANTS.item.Oak_Logs,
        CONSTANTS.item.Willow_Logs,
        CONSTANTS.item.Teak_Logs,
        CONSTANTS.item.Maple_Logs,
        CONSTANTS.item.Mahogany_Logs,
        CONSTANTS.item.Yew_Logs,
        CONSTANTS.item.Magic_Logs,
        CONSTANTS.item.Redwood_Logs,
        CONSTANTS.item.Raw_Shrimp,
        CONSTANTS.item.Raw_Sardine,
        CONSTANTS.item.Raw_Blowfish,
        CONSTANTS.item.Raw_Herring,
        CONSTANTS.item.Raw_Seahorse,
        CONSTANTS.item.Raw_Trout,
        CONSTANTS.item.Leaping_Trout,
        CONSTANTS.item.Raw_Poison_Fish,
        CONSTANTS.item.Raw_Salmon,
        CONSTANTS.item.Leaping_Salmon,
        CONSTANTS.item.Raw_Lobster,
        CONSTANTS.item.Raw_Skeleton_Fish,
        CONSTANTS.item.Raw_Swordfish,
        CONSTANTS.item.Raw_Anglerfish,
        CONSTANTS.item.Raw_Fanfish,
        CONSTANTS.item.Raw_Crab,
        CONSTANTS.item.Raw_Carp,
        CONSTANTS.item.Raw_Shark,
        CONSTANTS.item.Leaping_Broad_Fish,
        CONSTANTS.item.Raw_Cave_Fish,
        CONSTANTS.item.Raw_Magic_Fish,
        CONSTANTS.item.Raw_Manta_Ray,
        CONSTANTS.item.Raw_Whale,
        CONSTANTS.item.Shrimp,
        CONSTANTS.item.Sardine,
        CONSTANTS.item.Herring,
        CONSTANTS.item.Seahorse,
        CONSTANTS.item.Trout,
        CONSTANTS.item.Salmon,
        CONSTANTS.item.Lobster,
        CONSTANTS.item.Swordfish,
        CONSTANTS.item.Anglerfish,
        CONSTANTS.item.Fanfish,
        CONSTANTS.item.Crab,
        CONSTANTS.item.Carp,
        CONSTANTS.item.Shark,
        CONSTANTS.item.Cave_Fish,
        CONSTANTS.item.Manta_Ray,
        CONSTANTS.item.Whale,
        CONSTANTS.item.Shrimp_Perfect,
        CONSTANTS.item.Sardine_Perfect,
        CONSTANTS.item.Herring_Perfect,
        CONSTANTS.item.Seahorse_Perfect,
        CONSTANTS.item.Trout_Perfect,
        CONSTANTS.item.Salmon_Perfect,
        CONSTANTS.item.Lobster_Perfect,
        CONSTANTS.item.Swordfish_Perfect,
        CONSTANTS.item.Anglerfish_Perfect,
        CONSTANTS.item.Fanfish_Perfect,
        CONSTANTS.item.Crab_Perfect,
        CONSTANTS.item.Carp_Perfect,
        CONSTANTS.item.Shark_Perfect,
        CONSTANTS.item.Cave_Fish_Perfect,
        CONSTANTS.item.Manta_Ray_Perfect,
        CONSTANTS.item.Whale_Perfect,
        CONSTANTS.item.Burnt_Shrimp,
        CONSTANTS.item.Burnt_Sardine,
        CONSTANTS.item.Burnt_Herring,
        CONSTANTS.item.Burnt_Seahorse,
        CONSTANTS.item.Burnt_Trout,
        CONSTANTS.item.Burnt_Salmon,
        CONSTANTS.item.Burnt_Lobster,
        CONSTANTS.item.Burnt_Swordfish,
        CONSTANTS.item.Burnt_Anglerfish,
        CONSTANTS.item.Burnt_Fanfish,
        CONSTANTS.item.Burnt_Crab,
        CONSTANTS.item.Burnt_Carp,
        CONSTANTS.item.Burnt_Shark,
        CONSTANTS.item.Burnt_Cave_Fish,
        CONSTANTS.item.Burnt_Manta_Ray,
        CONSTANTS.item.Burnt_Whale,
        CONSTANTS.item.Old_Boot,
        CONSTANTS.item.Old_Hat,
        CONSTANTS.item.Seaweed,
        CONSTANTS.item.Rusty_Key,
        CONSTANTS.item.Shell,
        CONSTANTS.item.Rope,
        CONSTANTS.item.Glass_Bottle,
        CONSTANTS.item.Rubber_Ducky,
        CONSTANTS.item.Pirates_Lost_Ring,
        CONSTANTS.item.Message_In_A_Bottle,
        CONSTANTS.item.Barbarian_Gloves,
        CONSTANTS.item.Topaz,
        CONSTANTS.item.Sapphire,
        CONSTANTS.item.Ruby,
        CONSTANTS.item.Emerald,
        CONSTANTS.item.Diamond,
        CONSTANTS.item.Jadestone,
        CONSTANTS.item.Copper_Ore,
        CONSTANTS.item.Tin_Ore,
        CONSTANTS.item.Iron_Ore,
        CONSTANTS.item.Coal_Ore,
        CONSTANTS.item.Silver_Ore,
        CONSTANTS.item.Gold_Ore,
        CONSTANTS.item.Mithril_Ore,
        CONSTANTS.item.Adamantite_Ore,
        CONSTANTS.item.Runite_Ore,
        CONSTANTS.item.Dragonite_Ore,
        CONSTANTS.item.Bronze_Bar,
        CONSTANTS.item.Iron_Bar,
        CONSTANTS.item.Steel_Bar,
        CONSTANTS.item.Silver_Bar,
        CONSTANTS.item.Gold_Bar,
        CONSTANTS.item.Mithril_Bar,
        CONSTANTS.item.Adamantite_Bar,
        CONSTANTS.item.Runite_Bar,
        CONSTANTS.item.Dragonite_Bar,
        CONSTANTS.item.Bronze_Dagger,
        CONSTANTS.item.Bronze_Sword,
        CONSTANTS.item.Bronze_Battleaxe,
        CONSTANTS.item.Bronze_2H_Sword,
        CONSTANTS.item.Bronze_Scimitar,
        CONSTANTS.item.Bronze_Helmet,
        CONSTANTS.item.Bronze_Platebody,
        CONSTANTS.item.Bronze_Platelegs,
        CONSTANTS.item.Bronze_Boots,
        CONSTANTS.item.Bronze_Shield,
        CONSTANTS.item.Bronze_Gloves,
        CONSTANTS.item.Bronze_Helmet_T_S,
        CONSTANTS.item.Bronze_Platebody_T_S,
        CONSTANTS.item.Bronze_Platelegs_T_S,
        CONSTANTS.item.Bronze_Boots_T_S,
        CONSTANTS.item.Bronze_Shield_T_S,
        CONSTANTS.item.Bronze_Helmet_T_G,
        CONSTANTS.item.Bronze_Platebody_T_G,
        CONSTANTS.item.Bronze_Platelegs_T_G,
        CONSTANTS.item.Bronze_Boots_T_G,
        CONSTANTS.item.Bronze_Shield_T_G,
        CONSTANTS.item.Iron_Dagger,
        CONSTANTS.item.Iron_Sword,
        CONSTANTS.item.Iron_Battleaxe,
        CONSTANTS.item.Iron_2H_Sword,
        CONSTANTS.item.Iron_Scimitar,
        CONSTANTS.item.Iron_Gloves,
        CONSTANTS.item.Iron_Helmet,
        CONSTANTS.item.Iron_Platebody,
        CONSTANTS.item.Iron_Platelegs,
        CONSTANTS.item.Iron_Boots,
        CONSTANTS.item.Iron_Shield,
        CONSTANTS.item.Iron_Helmet_T_S,
        CONSTANTS.item.Iron_Platebody_T_S,
        CONSTANTS.item.Iron_Platelegs_T_S,
        CONSTANTS.item.Iron_Boots_T_S,
        CONSTANTS.item.Iron_Shield_T_S,
        CONSTANTS.item.Iron_Helmet_T_G,
        CONSTANTS.item.Iron_Platebody_T_G,
        CONSTANTS.item.Iron_Platelegs_T_G,
        CONSTANTS.item.Iron_Boots_T_G,
        CONSTANTS.item.Iron_Shield_T_G,
        CONSTANTS.item.Steel_Dagger,
        CONSTANTS.item.Steel_Sword,
        CONSTANTS.item.Steel_Battleaxe,
        CONSTANTS.item.Steel_2H_Sword,
        CONSTANTS.item.Steel_Scimitar,
        CONSTANTS.item.Steel_Helmet,
        CONSTANTS.item.Steel_Platebody,
        CONSTANTS.item.Steel_Platelegs,
        CONSTANTS.item.Steel_Boots,
        CONSTANTS.item.Steel_Shield,
        CONSTANTS.item.Steel_Gloves,
        CONSTANTS.item.Steel_Helmet_T_S,
        CONSTANTS.item.Steel_Platebody_T_S,
        CONSTANTS.item.Steel_Platelegs_T_S,
        CONSTANTS.item.Steel_Boots_T_S,
        CONSTANTS.item.Steel_Shield_T_S,
        CONSTANTS.item.Steel_Helmet_T_G,
        CONSTANTS.item.Steel_Platebody_T_G,
        CONSTANTS.item.Steel_Platelegs_T_G,
        CONSTANTS.item.Steel_Boots_T_G,
        CONSTANTS.item.Steel_Shield_T_G,
        CONSTANTS.item.Black_Dagger,
        CONSTANTS.item.Black_Sword,
        CONSTANTS.item.Black_Battleaxe,
        CONSTANTS.item.Black_2H_Sword,
        CONSTANTS.item.Black_Scimitar,
        CONSTANTS.item.Black_Helmet,
        CONSTANTS.item.Black_Platebody,
        CONSTANTS.item.Black_Platelegs,
        CONSTANTS.item.Black_Boots,
        CONSTANTS.item.Black_Shield,
        CONSTANTS.item.Black_Helmet_T_S,
        CONSTANTS.item.Black_Platebody_T_S,
        CONSTANTS.item.Black_Platelegs_T_S,
        CONSTANTS.item.Black_Boots_T_S,
        CONSTANTS.item.Black_Shield_T_S,
        CONSTANTS.item.Black_Helmet_T_G,
        CONSTANTS.item.Black_Platebody_T_G,
        CONSTANTS.item.Black_Platelegs_T_G,
        CONSTANTS.item.Black_Boots_T_G,
        CONSTANTS.item.Black_Shield_T_G,
        CONSTANTS.item.Mithril_Dagger,
        CONSTANTS.item.Mithril_Sword,
        CONSTANTS.item.Mithril_Battleaxe,
        CONSTANTS.item.Mithril_2H_Sword,
        CONSTANTS.item.Mithril_Scimitar,
        CONSTANTS.item.Mithril_Helmet,
        CONSTANTS.item.Mithril_Platebody,
        CONSTANTS.item.Mithril_Platelegs,
        CONSTANTS.item.Mithril_Boots,
        CONSTANTS.item.Mithril_Shield,
        CONSTANTS.item.Mithril_Gloves,
        CONSTANTS.item.Mithril_Helmet_T_S,
        CONSTANTS.item.Mithril_Platebody_T_S,
        CONSTANTS.item.Mithril_Platelegs_T_S,
        CONSTANTS.item.Mithril_Boots_T_S,
        CONSTANTS.item.Mithril_Shield_T_S,
        CONSTANTS.item.Mithril_Helmet_T_G,
        CONSTANTS.item.Mithril_Platebody_T_G,
        CONSTANTS.item.Mithril_Platelegs_T_G,
        CONSTANTS.item.Mithril_Boots_T_G,
        CONSTANTS.item.Mithril_Shield_T_G,
        CONSTANTS.item.Adamant_Dagger,
        CONSTANTS.item.Adamant_Sword,
        CONSTANTS.item.Adamant_Battleaxe,
        CONSTANTS.item.Adamant_2H_Sword,
        CONSTANTS.item.Adamant_Scimitar,
        CONSTANTS.item.Adamant_Helmet,
        CONSTANTS.item.Adamant_Platebody,
        CONSTANTS.item.Adamant_Platelegs,
        CONSTANTS.item.Adamant_Boots,
        CONSTANTS.item.Adamant_Shield,
        CONSTANTS.item.Adamant_Gloves,
        CONSTANTS.item.Adamant_Helmet_T_S,
        CONSTANTS.item.Adamant_Platebody_T_S,
        CONSTANTS.item.Adamant_Platelegs_T_S,
        CONSTANTS.item.Adamant_Boots_T_S,
        CONSTANTS.item.Adamant_Shield_T_S,
        CONSTANTS.item.Adamant_Helmet_T_G,
        CONSTANTS.item.Adamant_Platebody_T_G,
        CONSTANTS.item.Adamant_Platelegs_T_G,
        CONSTANTS.item.Adamant_Boots_T_G,
        CONSTANTS.item.Adamant_Shield_T_G,
        CONSTANTS.item.Rune_Dagger,
        CONSTANTS.item.Rune_Sword,
        CONSTANTS.item.Rune_Battleaxe,
        CONSTANTS.item.Rune_2H_Sword,
        CONSTANTS.item.Rune_Scimitar,
        CONSTANTS.item.Rune_Helmet,
        CONSTANTS.item.Rune_Platebody,
        CONSTANTS.item.Rune_Platelegs,
        CONSTANTS.item.Rune_Boots,
        CONSTANTS.item.Rune_Shield,
        CONSTANTS.item.Rune_Gloves,
        CONSTANTS.item.Rune_Helmet_T_S,
        CONSTANTS.item.Rune_Platebody_T_S,
        CONSTANTS.item.Rune_Platelegs_T_S,
        CONSTANTS.item.Rune_Boots_T_S,
        CONSTANTS.item.Rune_Shield_T_S,
        CONSTANTS.item.Rune_Helmet_T_G,
        CONSTANTS.item.Rune_Platebody_T_G,
        CONSTANTS.item.Rune_Platelegs_T_G,
        CONSTANTS.item.Rune_Boots_T_G,
        CONSTANTS.item.Rune_Shield_T_G,
        CONSTANTS.item.Dragon_Dagger,
        CONSTANTS.item.Dragon_Sword,
        CONSTANTS.item.Dragon_Battleaxe,
        CONSTANTS.item.Dragon_2H_Sword,
        CONSTANTS.item.Dragon_Scimitar,
        CONSTANTS.item.Dragon_Gloves,
        CONSTANTS.item.Dragon_Helmet,
        CONSTANTS.item.Dragon_Platebody,
        CONSTANTS.item.Dragon_Platelegs,
        CONSTANTS.item.Dragon_Boots,
        CONSTANTS.item.Dragon_Shield,
        CONSTANTS.item.Dragon_Helmet_T_S,
        CONSTANTS.item.Dragon_Platebody_T_S,
        CONSTANTS.item.Dragon_Platelegs_T_S,
        CONSTANTS.item.Dragon_Boots_T_S,
        CONSTANTS.item.Dragon_Shield_T_S,
        CONSTANTS.item.Dragon_Helmet_T_G,
        CONSTANTS.item.Dragon_Platebody_T_G,
        CONSTANTS.item.Dragon_Platelegs_T_G,
        CONSTANTS.item.Dragon_Boots_T_G,
        CONSTANTS.item.Dragon_Shield_T_G,
        CONSTANTS.item.Potato_Seed,
        CONSTANTS.item.Onion_Seed,
        CONSTANTS.item.Cabbage_Seed,
        CONSTANTS.item.Tomato_Seed,
        CONSTANTS.item.Sweetcorn_Seed,
        CONSTANTS.item.Strawberry_Seed,
        CONSTANTS.item.Watermelon_Seed,
        CONSTANTS.item.Snape_Grass_Seed,
        CONSTANTS.item.Carrot_Seeds,
        CONSTANTS.item.Cherry_Seeds,
        CONSTANTS.item.Potatoes,
        CONSTANTS.item.Onions,
        CONSTANTS.item.Cabbage,
        CONSTANTS.item.Tomatoes,
        CONSTANTS.item.Sweetcorn,
        CONSTANTS.item.Strawberries,
        CONSTANTS.item.Watermelon,
        CONSTANTS.item.Snape_Grass,
        CONSTANTS.item.Carrot,
        CONSTANTS.item.Bobs_Rake,
        CONSTANTS.item.Compost,
        CONSTANTS.item.Weird_Gloop,
        CONSTANTS.item.Oak_Tree_Seed,
        CONSTANTS.item.Willow_Tree_Seed,
        CONSTANTS.item.Maple_Tree_Seed,
        CONSTANTS.item.Yew_Tree_Seed,
        CONSTANTS.item.Magic_Tree_Seed,
        CONSTANTS.item.Apple_Tree_Seeds,
        CONSTANTS.item.Eyeball,
        CONSTANTS.item.Large_Horn,
        CONSTANTS.item.Garum_Seed,
        CONSTANTS.item.Sourweed_Seed,
        CONSTANTS.item.Mantalyme_Seed,
        CONSTANTS.item.Lemontyle_Seed,
        CONSTANTS.item.Oxilyme_Seed,
        CONSTANTS.item.Poraxx_Seed,
        CONSTANTS.item.Pigtayle_Seed,
        CONSTANTS.item.Barrentoe_Seed,
        CONSTANTS.item.Garum_Herb,
        CONSTANTS.item.Sourweed_Herb,
        CONSTANTS.item.Mantalyme_Herb,
        CONSTANTS.item.Lemontyle_Herb,
        CONSTANTS.item.Oxilyme_Herb,
        CONSTANTS.item.Poraxx_Herb,
        CONSTANTS.item.Pigtayle_Herb,
        CONSTANTS.item.Barrentoe_Herb,
        CONSTANTS.item.Bag_of_Flour,
        CONSTANTS.item.Raw_Beef,
        CONSTANTS.item.Raw_Chicken,
        CONSTANTS.item.Apple,
        CONSTANTS.item.Cherry,
        CONSTANTS.item.Cheese,
        CONSTANTS.item.Cream,
        CONSTANTS.item.Bread,
        CONSTANTS.item.Beef,
        CONSTANTS.item.Chicken,
        CONSTANTS.item.Plain_Pizza_Slice,
        CONSTANTS.item.Beef_Pie,
        CONSTANTS.item.Meat_Pizza_Slice,
        CONSTANTS.item.Basic_Soup,
        CONSTANTS.item.Strawberry_Cupcake,
        CONSTANTS.item.Hearty_Soup,
        CONSTANTS.item.Cherry_Cupcake,
        CONSTANTS.item.Cream_Corn_Soup,
        CONSTANTS.item.Apple_Pie,
        CONSTANTS.item.Chicken_Soup,
        CONSTANTS.item.Strawberry_Cake,
        CONSTANTS.item.Carrot_Cake,
        CONSTANTS.item.Lemon_Cake,
        CONSTANTS.item.Bread_Perfect,
        CONSTANTS.item.Beef_Perfect,
        CONSTANTS.item.Chicken_Perfect,
        CONSTANTS.item.Plain_Pizza_Slice_Perfect,
        CONSTANTS.item.Beef_Pie_Perfect,
        CONSTANTS.item.Meat_Pizza_Slice_Perfect,
        CONSTANTS.item.Basic_Soup_Perfect,
        CONSTANTS.item.Strawberry_Cupcake_Perfect,
        CONSTANTS.item.Hearty_Soup_Perfect,
        CONSTANTS.item.Cherry_Cupcake_Perfect,
        CONSTANTS.item.Cream_Corn_Soup_Perfect,
        CONSTANTS.item.Apple_Pie_Perfect,
        CONSTANTS.item.Chicken_Soup_Perfect,
        CONSTANTS.item.Strawberry_Cake_Perfect,
        CONSTANTS.item.Carrot_Cake_Perfect,
        CONSTANTS.item.Lemon_Cake_Perfect,
        CONSTANTS.item.Melee_Accuracy_Potion_IV,
        CONSTANTS.item.Melee_Accuracy_Potion_III,
        CONSTANTS.item.Melee_Accuracy_Potion_II,
        CONSTANTS.item.Melee_Accuracy_Potion_I,
        CONSTANTS.item.Melee_Strength_Potion_IV,
        CONSTANTS.item.Melee_Strength_Potion_III,
        CONSTANTS.item.Melee_Strength_Potion_II,
        CONSTANTS.item.Melee_Strength_Potion_I,
        CONSTANTS.item.Melee_Evasion_Potion_IV,
        CONSTANTS.item.Melee_Evasion_Potion_III,
        CONSTANTS.item.Melee_Evasion_Potion_II,
        CONSTANTS.item.Melee_Evasion_Potion_I,
        CONSTANTS.item.Ranged_Assistance_Potion_IV,
        CONSTANTS.item.Ranged_Assistance_Potion_III,
        CONSTANTS.item.Ranged_Assistance_Potion_II,
        CONSTANTS.item.Ranged_Assistance_Potion_I,
        CONSTANTS.item.Magic_Assistance_Potion_IV,
        CONSTANTS.item.Magic_Assistance_Potion_III,
        CONSTANTS.item.Magic_Assistance_Potion_II,
        CONSTANTS.item.Magic_Assistance_Potion_I,
        CONSTANTS.item.Regeneration_Potion_IV,
        CONSTANTS.item.Regeneration_Potion_III,
        CONSTANTS.item.Regeneration_Potion_II,
        CONSTANTS.item.Regeneration_Potion_I,
        CONSTANTS.item.Damage_Reduction_Potion_IV,
        CONSTANTS.item.Damage_Reduction_Potion_III,
        CONSTANTS.item.Damage_Reduction_Potion_II,
        CONSTANTS.item.Damage_Reduction_Potion_I,
        CONSTANTS.item.Bird_Nest_Potion_IV,
        CONSTANTS.item.Bird_Nest_Potion_III,
        CONSTANTS.item.Bird_Nest_Potion_II,
        CONSTANTS.item.Bird_Nest_Potion_I,
        CONSTANTS.item.Fishermans_Potion_IV,
        CONSTANTS.item.Fishermans_Potion_III,
        CONSTANTS.item.Fishermans_Potion_II,
        CONSTANTS.item.Fishermans_Potion_I,
        CONSTANTS.item.Controlled_Heat_Potion_IV,
        CONSTANTS.item.Controlled_Heat_Potion_III,
        CONSTANTS.item.Controlled_Heat_Potion_II,
        CONSTANTS.item.Controlled_Heat_Potion_I,
        CONSTANTS.item.Generous_Cook_Potion_IV,
        CONSTANTS.item.Generous_Cook_Potion_III,
        CONSTANTS.item.Generous_Cook_Potion_II,
        CONSTANTS.item.Generous_Cook_Potion_I,
        CONSTANTS.item.Perfect_Swing_Potion_IV,
        CONSTANTS.item.Perfect_Swing_Potion_III,
        CONSTANTS.item.Perfect_Swing_Potion_II,
        CONSTANTS.item.Perfect_Swing_Potion_I,
        CONSTANTS.item.Seeing_Gold_Potion_IV,
        CONSTANTS.item.Seeing_Gold_Potion_III,
        CONSTANTS.item.Seeing_Gold_Potion_II,
        CONSTANTS.item.Seeing_Gold_Potion_I,
        CONSTANTS.item.Gentle_Hands_Potion_IV,
        CONSTANTS.item.Gentle_Hands_Potion_III,
        CONSTANTS.item.Gentle_Hands_Potion_II,
        CONSTANTS.item.Gentle_Hands_Potion_I,
        CONSTANTS.item.Farming_Potion_IV,
        CONSTANTS.item.Farming_Potion_III,
        CONSTANTS.item.Farming_Potion_II,
        CONSTANTS.item.Farming_Potion_I,
        CONSTANTS.item.Fletching_Potion_IV,
        CONSTANTS.item.Fletching_Potion_III,
        CONSTANTS.item.Fletching_Potion_II,
        CONSTANTS.item.Fletching_Potion_I,
        CONSTANTS.item.Crafting_Potion_IV,
        CONSTANTS.item.Crafting_Potion_III,
        CONSTANTS.item.Crafting_Potion_II,
        CONSTANTS.item.Crafting_Potion_I,
        CONSTANTS.item.Elemental_Potion_IV,
        CONSTANTS.item.Elemental_Potion_III,
        CONSTANTS.item.Elemental_Potion_II,
        CONSTANTS.item.Elemental_Potion_I,
        CONSTANTS.item.Herblore_Potion_IV,
        CONSTANTS.item.Herblore_Potion_III,
        CONSTANTS.item.Herblore_Potion_II,
        CONSTANTS.item.Herblore_Potion_I,
        CONSTANTS.item.Ranged_Strength_Potion_IV,
        CONSTANTS.item.Ranged_Strength_Potion_III,
        CONSTANTS.item.Ranged_Strength_Potion_II,
        CONSTANTS.item.Ranged_Strength_Potion_I,
        CONSTANTS.item.Magic_Damage_Potion_IV,
        CONSTANTS.item.Magic_Damage_Potion_III,
        CONSTANTS.item.Magic_Damage_Potion_II,
        CONSTANTS.item.Magic_Damage_Potion_I,
        CONSTANTS.item.Diamond_Luck_Potion_IV,
        CONSTANTS.item.Diamond_Luck_Potion_III,
        CONSTANTS.item.Diamond_Luck_Potion_II,
        CONSTANTS.item.Diamond_Luck_Potion_I,
        CONSTANTS.item.Divine_Potion_IV,
        CONSTANTS.item.Divine_Potion_III,
        CONSTANTS.item.Divine_Potion_II,
        CONSTANTS.item.Divine_Potion_I,
        CONSTANTS.item.Lucky_Herb_Potion_IV,
        CONSTANTS.item.Lucky_Herb_Potion_III,
        CONSTANTS.item.Lucky_Herb_Potion_II,
        CONSTANTS.item.Lucky_Herb_Potion_I,
        CONSTANTS.item.Performance_Enhancing_Potion_IV,
        CONSTANTS.item.Performance_Enhancing_Potion_III,
        CONSTANTS.item.Performance_Enhancing_Potion_II,
        CONSTANTS.item.Performance_Enhancing_Potion_I,
        CONSTANTS.item.Necromancer_Potion_IV,
        CONSTANTS.item.Necromancer_Potion_III,
        CONSTANTS.item.Necromancer_Potion_II,
        CONSTANTS.item.Necromancer_Potion_I,
        CONSTANTS.item.Amulet_of_Fishing,
        CONSTANTS.item.Amulet_of_Looting,
        CONSTANTS.item.Bone_Necklace,
        CONSTANTS.item.Amulet_of_Strength,
        CONSTANTS.item.Amulet_of_Accuracy,
        CONSTANTS.item.Amulet_of_Defence,
        CONSTANTS.item.Amulet_of_Ranged,
        CONSTANTS.item.Amulet_of_Magic,
        CONSTANTS.item.Amulet_of_Glory,
        CONSTANTS.item.Elite_Amulet_of_Strength,
        CONSTANTS.item.Elite_Amulet_of_Accuracy,
        CONSTANTS.item.Elite_Amulet_of_Defence,
        CONSTANTS.item.Elite_Amulet_of_Ranged,
        CONSTANTS.item.Elite_Amulet_of_Magic,
        CONSTANTS.item.Elite_Amulet_of_Glory,
        CONSTANTS.item.Amulet_of_Fury,
        CONSTANTS.item.Amulet_of_Torture,
        CONSTANTS.item.Fury_of_the_Elemental_Zodiac,
        CONSTANTS.item.Ancient_Ring_Of_Skills,
        CONSTANTS.item.Ancient_Ring_Of_Mastery,
        CONSTANTS.item.Arrow_Shafts,
        CONSTANTS.item.Feathers,
        CONSTANTS.item.Headless_Arrows,
        CONSTANTS.item.Bronze_Arrowtips,
        CONSTANTS.item.Iron_Arrowtips,
        CONSTANTS.item.Steel_Arrowtips,
        CONSTANTS.item.Mithril_Arrowtips,
        CONSTANTS.item.Adamant_Arrowtips,
        CONSTANTS.item.Rune_Arrowtips,
        CONSTANTS.item.Dragon_Arrowtips,
        CONSTANTS.item.Bronze_Arrows,
        CONSTANTS.item.Iron_Arrows,
        CONSTANTS.item.Steel_Arrows,
        CONSTANTS.item.Mithril_Arrows,
        CONSTANTS.item.Adamant_Arrows,
        CONSTANTS.item.Rune_Arrows,
        CONSTANTS.item.Dragon_Arrows,
        CONSTANTS.item.Ancient_Arrow,
        CONSTANTS.item.Bronze_Javelin_Heads,
        CONSTANTS.item.Iron_Javelin_Heads,
        CONSTANTS.item.Steel_Javelin_Heads,
        CONSTANTS.item.Mithril_Javelin_Heads,
        CONSTANTS.item.Adamant_Javelin_Heads,
        CONSTANTS.item.Rune_Javelin_Heads,
        CONSTANTS.item.Dragon_Javelin_Heads,
        CONSTANTS.item.Bronze_Javelin,
        CONSTANTS.item.Iron_Javelin,
        CONSTANTS.item.Steel_Javelin,
        CONSTANTS.item.Mithril_Javelin,
        CONSTANTS.item.Adamant_Javelin,
        CONSTANTS.item.Rune_Javelin,
        CONSTANTS.item.Dragon_Javelin,
        CONSTANTS.item.Ancient_Javelin,
        CONSTANTS.item.Bronze_Throwing_Knife,
        CONSTANTS.item.Iron_Throwing_Knife,
        CONSTANTS.item.Steel_Throwing_Knife,
        CONSTANTS.item.Mithril_Throwing_Knife,
        CONSTANTS.item.Adamant_Throwing_Knife,
        CONSTANTS.item.Rune_Throwing_Knife,
        CONSTANTS.item.Dragon_Throwing_Knife,
        CONSTANTS.item.Ancient_Throwing_Knife,
        CONSTANTS.item.Headless_Bolts,
        CONSTANTS.item.Topaz_Bolts,
        CONSTANTS.item.Sapphire_Bolts,
        CONSTANTS.item.Ruby_Bolts,
        CONSTANTS.item.Emerald_Bolts,
        CONSTANTS.item.Diamond_Bolts,
        CONSTANTS.item.Jadestone_Bolts,
        CONSTANTS.item.Bowstring,
        CONSTANTS.item.Normal_Shortbow_U,
        CONSTANTS.item.Oak_Shortbow_U,
        CONSTANTS.item.Willow_Shortbow_U,
        CONSTANTS.item.Maple_Shortbow_U,
        CONSTANTS.item.Yew_Shortbow_U,
        CONSTANTS.item.Magic_Shortbow_U,
        CONSTANTS.item.Redwood_Shortbow_U,
        CONSTANTS.item.Normal_Longbow_U,
        CONSTANTS.item.Oak_Longbow_U,
        CONSTANTS.item.Willow_Longbow_U,
        CONSTANTS.item.Maple_Longbow_U,
        CONSTANTS.item.Yew_Longbow_U,
        CONSTANTS.item.Magic_Longbow_U,
        CONSTANTS.item.Redwood_Longbow_U,
        CONSTANTS.item.Normal_Shortbow,
        CONSTANTS.item.Oak_Shortbow,
        CONSTANTS.item.Willow_Shortbow,
        CONSTANTS.item.Maple_Shortbow,
        CONSTANTS.item.Yew_Shortbow,
        CONSTANTS.item.Magic_Shortbow,
        CONSTANTS.item.Redwood_Shortbow,
        CONSTANTS.item.Normal_Longbow,
        CONSTANTS.item.Oak_Longbow,
        CONSTANTS.item.Willow_Longbow,
        CONSTANTS.item.Maple_Longbow,
        CONSTANTS.item.Yew_Longbow,
        CONSTANTS.item.Magic_Longbow,
        CONSTANTS.item.Redwood_Longbow,
        CONSTANTS.item.Bronze_Crossbow_Head,
        CONSTANTS.item.Iron_Crossbow_Head,
        CONSTANTS.item.Steel_Crossbow_Head,
        CONSTANTS.item.Mithril_Crossbow_Head,
        CONSTANTS.item.Adamant_Crossbow_Head,
        CONSTANTS.item.Rune_Crossbow_Head,
        CONSTANTS.item.Dragon_Crossbow_Head,
        CONSTANTS.item.Slayer_Crossbow_Head,
        CONSTANTS.item.Bronze_Crossbow,
        CONSTANTS.item.Iron_Crossbow,
        CONSTANTS.item.Steel_Crossbow,
        CONSTANTS.item.Mithril_Crossbow,
        CONSTANTS.item.Adamant_Crossbow,
        CONSTANTS.item.Rune_Crossbow,
        CONSTANTS.item.Dragon_Crossbow,
        CONSTANTS.item.Slayer_Crossbow,
        CONSTANTS.item.Confetti_Crossbow,
        CONSTANTS.item.Leather,
        CONSTANTS.item.Green_Dragonhide,
        CONSTANTS.item.Blue_Dragonhide,
        CONSTANTS.item.Red_Dragonhide,
        CONSTANTS.item.Black_Dragonhide,
        CONSTANTS.item.Elder_Dragonhide,
        CONSTANTS.item.Leather_Cowl,
        CONSTANTS.item.Leather_Body,
        CONSTANTS.item.Leather_Chaps,
        CONSTANTS.item.Leather_Boots,
        CONSTANTS.item.Leather_Vambraces,
        CONSTANTS.item.Leather_Gloves,
        CONSTANTS.item.Hard_Leather_Cowl,
        CONSTANTS.item.Hard_Leather_Body,
        CONSTANTS.item.Hard_Leather_Boots,
        CONSTANTS.item.Hard_Leather_Chaps,
        CONSTANTS.item.Hard_Leather_Vambraces,
        CONSTANTS.item.Hard_Leather_Gloves,
        CONSTANTS.item.Green_Dhide_Body,
        CONSTANTS.item.Green_Dhide_Chaps,
        CONSTANTS.item.Green_Dhide_Shield,
        CONSTANTS.item.Green_Dhide_Vambraces,
        CONSTANTS.item.Green_Dhide_Body_U,
        CONSTANTS.item.Green_Dhide_Chaps_U,
        CONSTANTS.item.Green_Dhide_Shield_U,
        CONSTANTS.item.Green_Dhide_Vambraces_U,
        CONSTANTS.item.Blue_Dhide_Body,
        CONSTANTS.item.Blue_Dhide_Chaps,
        CONSTANTS.item.Blue_Dhide_Shield,
        CONSTANTS.item.Blue_Dhide_Vambraces,
        CONSTANTS.item.Blue_Dhide_Body_U,
        CONSTANTS.item.Blue_Dhide_Chaps_U,
        CONSTANTS.item.Blue_Dhide_Shield_U,
        CONSTANTS.item.Blue_Dhide_Vambraces_U,
        CONSTANTS.item.Red_Dhide_Body,
        CONSTANTS.item.Red_Dhide_Chaps,
        CONSTANTS.item.Red_Dhide_Shield,
        CONSTANTS.item.Red_Dhide_Vambraces,
        CONSTANTS.item.Red_Dhide_Body_U,
        CONSTANTS.item.Red_Dhide_Chaps_U,
        CONSTANTS.item.Red_Dhide_Shield_U,
        CONSTANTS.item.Red_Dhide_Vambraces_U,
        CONSTANTS.item.Black_Dhide_Body,
        CONSTANTS.item.Black_Dhide_Chaps,
        CONSTANTS.item.Black_Dhide_Shield,
        CONSTANTS.item.Black_Dhide_Vambraces,
        CONSTANTS.item.Black_Dhide_Body_U,
        CONSTANTS.item.Black_Dhide_Chaps_U,
        CONSTANTS.item.Black_Dhide_Shield_U,
        CONSTANTS.item.Black_Dhide_Vambraces_U,
        CONSTANTS.item.Ancient_Dhide_Body,
        CONSTANTS.item.Ancient_Dhide_Chaps,
        CONSTANTS.item.Ancient_Dhide_Shield,
        CONSTANTS.item.Ancient_Dhide_Vambraces,
        CONSTANTS.item.Ancient_Dhide_Body_U,
        CONSTANTS.item.Ancient_Dhide_Chaps_U,
        CONSTANTS.item.Ancient_Dhide_Shield_U,
        CONSTANTS.item.Ancient_Dhide_Vambraces_U,
        CONSTANTS.item.Silver_Topaz_Ring,
        CONSTANTS.item.Silver_Sapphire_Ring,
        CONSTANTS.item.Silver_Ruby_Ring,
        CONSTANTS.item.Silver_Emerald_Ring,
        CONSTANTS.item.Silver_Diamond_Ring,
        CONSTANTS.item.Gold_Topaz_Ring,
        CONSTANTS.item.Gold_Sapphire_Ring,
        CONSTANTS.item.Gold_Ruby_Ring,
        CONSTANTS.item.Gold_Emerald_Ring,
        CONSTANTS.item.Gold_Diamond_Ring,
        CONSTANTS.item.Silver_Topaz_Necklace,
        CONSTANTS.item.Silver_Sapphire_Necklace,
        CONSTANTS.item.Silver_Ruby_Necklace,
        CONSTANTS.item.Silver_Emerald_Necklace,
        CONSTANTS.item.Silver_Diamond_Necklace,
        CONSTANTS.item.Gold_Topaz_Necklace,
        CONSTANTS.item.Gold_Sapphire_Necklace,
        CONSTANTS.item.Gold_Ruby_Necklace,
        CONSTANTS.item.Gold_Emerald_Necklace,
        CONSTANTS.item.Gold_Diamond_Necklace,
        CONSTANTS.item.Cooking_Gloves,
        CONSTANTS.item.Mining_Gloves,
        CONSTANTS.item.Smithing_Gloves,
        CONSTANTS.item.Thieving_Gloves,
        CONSTANTS.item.Gem_Gloves,
        CONSTANTS.item.Rune_Essence,
        CONSTANTS.item.Air_Rune,
        CONSTANTS.item.Mind_Rune,
        CONSTANTS.item.Water_Rune,
        CONSTANTS.item.Earth_Rune,
        CONSTANTS.item.Fire_Rune,
        CONSTANTS.item.Light_Rune,
        CONSTANTS.item.Body_Rune,
        CONSTANTS.item.Chaos_Rune,
        CONSTANTS.item.Nature_Rune,
        CONSTANTS.item.Havoc_Rune,
        CONSTANTS.item.Death_Rune,
        CONSTANTS.item.Blood_Rune,
        CONSTANTS.item.Spirit_Rune,
        CONSTANTS.item.Ancient_Rune,
        CONSTANTS.item.Mist_Rune,
        CONSTANTS.item.Dust_Rune,
        CONSTANTS.item.Mud_Rune,
        CONSTANTS.item.Smoke_Rune,
        CONSTANTS.item.Steam_Rune,
        CONSTANTS.item.Lava_Rune,
        CONSTANTS.item.Staff_of_Air,
        CONSTANTS.item.Staff_of_Water,
        CONSTANTS.item.Staff_of_Earth,
        CONSTANTS.item.Staff_of_Fire,
        CONSTANTS.item.Air_Battlestaff,
        CONSTANTS.item.Water_Battlestaff,
        CONSTANTS.item.Earth_Battlestaff,
        CONSTANTS.item.Fire_Battlestaff,
        CONSTANTS.item.Mystic_Air_Staff,
        CONSTANTS.item.Mystic_Water_Staff,
        CONSTANTS.item.Mystic_Earth_Staff,
        CONSTANTS.item.Mystic_Fire_Staff,
        CONSTANTS.item.Magic_Wand_Basic,
        CONSTANTS.item.Magic_Wand_Powerful,
        CONSTANTS.item.Magic_Wand_Elite,
        CONSTANTS.item.Air_Imbued_Wand,
        CONSTANTS.item.Water_Imbued_Wand,
        CONSTANTS.item.Earth_Imbued_Wand,
        CONSTANTS.item.Fire_Imbued_Wand,
        CONSTANTS.item.Green_Wizard_Hat,
        CONSTANTS.item.Green_Wizard_Robes,
        CONSTANTS.item.Green_Wizard_Bottoms,
        CONSTANTS.item.Green_Wizard_Boots,
        CONSTANTS.item.Blue_Wizard_Hat,
        CONSTANTS.item.Blue_Wizard_Robes,
        CONSTANTS.item.Blue_Wizard_Bottoms,
        CONSTANTS.item.Blue_Wizard_Boots,
        CONSTANTS.item.Red_Wizard_Hat,
        CONSTANTS.item.Red_Wizard_Robes,
        CONSTANTS.item.Red_Wizard_Bottoms,
        CONSTANTS.item.Red_Wizard_Boots,
        CONSTANTS.item.Black_Wizard_Hat,
        CONSTANTS.item.Black_Wizard_Robes,
        CONSTANTS.item.Black_Wizard_Bottoms,
        CONSTANTS.item.Black_Wizard_Boots,
        CONSTANTS.item.Air_Acolyte_Wizard_Hat,
        CONSTANTS.item.Air_Acolyte_Wizard_Robes,
        CONSTANTS.item.Air_Acolyte_Wizard_Bottoms,
        CONSTANTS.item.Air_Acolyte_Wizard_Boots,
        CONSTANTS.item.Water_Acolyte_Wizard_Hat,
        CONSTANTS.item.Water_Acolyte_Wizard_Robes,
        CONSTANTS.item.Water_Acolyte_Wizard_Bottoms,
        CONSTANTS.item.Water_Acolyte_Wizard_Boots,
        CONSTANTS.item.Earth_Acolyte_Wizard_Hat,
        CONSTANTS.item.Earth_Acolyte_Wizard_Robes,
        CONSTANTS.item.Earth_Acolyte_Wizard_Bottoms,
        CONSTANTS.item.Earth_Acolyte_Wizard_Boots,
        CONSTANTS.item.Fire_Acolyte_Wizard_Hat,
        CONSTANTS.item.Fire_Acolyte_Wizard_Robes,
        CONSTANTS.item.Fire_Acolyte_Wizard_Bottoms,
        CONSTANTS.item.Fire_Acolyte_Wizard_Boots,
        CONSTANTS.item.Air_Adept_Wizard_Hat,
        CONSTANTS.item.Air_Adept_Wizard_Robes,
        CONSTANTS.item.Air_Adept_Wizard_Bottoms,
        CONSTANTS.item.Air_Adept_Wizard_Boots,
        CONSTANTS.item.Water_Adept_Wizard_Hat,
        CONSTANTS.item.Water_Adept_Wizard_Robes,
        CONSTANTS.item.Water_Adept_Wizard_Bottoms,
        CONSTANTS.item.Water_Adept_Wizard_Boots,
        CONSTANTS.item.Earth_Adept_Wizard_Hat,
        CONSTANTS.item.Earth_Adept_Wizard_Robes,
        CONSTANTS.item.Earth_Adept_Wizard_Bottoms,
        CONSTANTS.item.Earth_Adept_Wizard_Boots,
        CONSTANTS.item.Fire_Adept_Wizard_Hat,
        CONSTANTS.item.Fire_Adept_Wizard_Robes,
        CONSTANTS.item.Fire_Adept_Wizard_Bottoms,
        CONSTANTS.item.Fire_Adept_Wizard_Boots,
        CONSTANTS.item.Air_Expert_Wizard_Hat,
        CONSTANTS.item.Air_Expert_Wizard_Robes,
        CONSTANTS.item.Air_Expert_Wizard_Bottoms,
        CONSTANTS.item.Air_Expert_Wizard_Boots,
        CONSTANTS.item.Water_Expert_Wizard_Hat,
        CONSTANTS.item.Water_Expert_Wizard_Robes,
        CONSTANTS.item.Water_Expert_Wizard_Bottoms,
        CONSTANTS.item.Water_Expert_Wizard_Boots,
        CONSTANTS.item.Earth_Expert_Wizard_Hat,
        CONSTANTS.item.Earth_Expert_Wizard_Robes,
        CONSTANTS.item.Earth_Expert_Wizard_Bottoms,
        CONSTANTS.item.Earth_Expert_Wizard_Boots,
        CONSTANTS.item.Fire_Expert_Wizard_Hat,
        CONSTANTS.item.Fire_Expert_Wizard_Robes,
        CONSTANTS.item.Fire_Expert_Wizard_Bottoms,
        CONSTANTS.item.Fire_Expert_Wizard_Boots,
        CONSTANTS.item.Book_of_Eli,
        CONSTANTS.item.Book_of_Occults,
        CONSTANTS.item.Enchanted_Cape,
        CONSTANTS.item.Enchanted_Shield,
        CONSTANTS.item.Skull_Cape,
        CONSTANTS.item.Bones,
        CONSTANTS.item.Big_Bones,
        CONSTANTS.item.Dragon_Bones,
        CONSTANTS.item.Magic_Bones,
        CONSTANTS.item.Holy_Dust,
        CONSTANTS.item.Agility_Skillcape,
        CONSTANTS.item.Attack_Skillcape,
        CONSTANTS.item.Cooking_Skillcape,
        CONSTANTS.item.Crafting_Skillcape,
        CONSTANTS.item.Defence_Skillcape,
        CONSTANTS.item.Farming_Skillcape,
        CONSTANTS.item.Firemaking_Skillcape,
        CONSTANTS.item.Fishing_Skillcape,
        CONSTANTS.item.Fletching_Skillcape,
        CONSTANTS.item.Herblore_Skillcape,
        CONSTANTS.item.Hitpoints_Skillcape,
        CONSTANTS.item.Magic_Skillcape,
        CONSTANTS.item.Mining_Skillcape,
        CONSTANTS.item.Prayer_Skillcape,
        CONSTANTS.item.Ranged_Skillcape,
        CONSTANTS.item.Runecrafting_Skillcape,
        CONSTANTS.item.Slayer_Skillcape,
        CONSTANTS.item.Smithing_Skillcape,
        CONSTANTS.item.Strength_Skillcape,
        CONSTANTS.item.Summoning_Skillcape,
        CONSTANTS.item.Thieving_Skillcape,
        CONSTANTS.item.Woodcutting_Skillcape,
        CONSTANTS.item.Max_Skillcape,
        CONSTANTS.item.Cape_of_Completion,
        CONSTANTS.item.Mastery_Token_Agility,
        CONSTANTS.item.Mastery_Token_Cooking,
        CONSTANTS.item.Mastery_Token_Crafting,
        CONSTANTS.item.Mastery_Token_Farming,
        CONSTANTS.item.Mastery_Token_Firemaking,
        CONSTANTS.item.Mastery_Token_Fishing,
        CONSTANTS.item.Mastery_Token_Fletching,
        CONSTANTS.item.Mastery_Token_Herblore,
        CONSTANTS.item.Mastery_Token_Mining,
        CONSTANTS.item.Mastery_Token_Runecrafting,
        CONSTANTS.item.Mastery_Token_Smithing,
        CONSTANTS.item.Mastery_Token_Summoning,
        CONSTANTS.item.Mastery_Token_Thieving,
        CONSTANTS.item.Mastery_Token_Woodcutting,
        CONSTANTS.item.Crate_Of_Basic_Supplies,
        CONSTANTS.item.Crate_Of_Food,
        CONSTANTS.item.Stack_Of_Bones,
        CONSTANTS.item.Pile_Of_Logs,
        CONSTANTS.item.Pile_Of_Ores,
        CONSTANTS.item.Basic_Bag,
        CONSTANTS.item.Chest_Of_Gems,
        CONSTANTS.item.Seed_Pouch,
        CONSTANTS.item.Runecrafting_Pouch,
        CONSTANTS.item.Alchemists_Bag,
        CONSTANTS.item.Thiefs_Moneysack,
        CONSTANTS.item.Bobbys_Pocket,
        CONSTANTS.item.Herb_Sack,
        CONSTANTS.item.Marksmans_Sigil,
        CONSTANTS.item.Knights_Sigil,
        CONSTANTS.item.Wizards_Sigil,
        CONSTANTS.item.Training_Shield,
        CONSTANTS.item.Knights_Defender,
        CONSTANTS.item.Cave_Giant_Boots,
        CONSTANTS.item.Gold_Crested_Shield,
        CONSTANTS.item.Amulet_Of_Incantation,
        CONSTANTS.item.Shipwheel,
        CONSTANTS.item.Antique_Vase,
        CONSTANTS.item.Giant_Club,
        CONSTANTS.item.Merchants_Permit,
        CONSTANTS.item.Chapeau_Noir,
        CONSTANTS.item.Gloves_of_Silence,
        CONSTANTS.item.Boots_Of_Stealth,
        CONSTANTS.item.Jeweled_Necklace,
        CONSTANTS.item.Thievers_Cape,
        CONSTANTS.item.Fishing_Hook,
        CONSTANTS.item.Knights_Cape,
        CONSTANTS.item.Whetstone,
        CONSTANTS.item.Wizards_Scroll,
        CONSTANTS.item.Prayer_Scroll,
        CONSTANTS.item.Ring_Of_Wealth,
        CONSTANTS.item.Absorbing_Shield,
        CONSTANTS.item.Cooking_Apron,
        CONSTANTS.item.Chefs_Spoon,
        CONSTANTS.item.Chefs_Hat,
        CONSTANTS.item.Bobs_Gloves,
        CONSTANTS.item.Golbin_Mask,
        CONSTANTS.item.Fine_Coinpurse,
        CONSTANTS.item.Lumberjacks_Top,
        CONSTANTS.item.Miners_Helmet,
        CONSTANTS.item.Sailors_Top,
        CONSTANTS.item.Jesters_Hat,
        CONSTANTS.item.Book_Of_Scholars,
        CONSTANTS.item.Slayer_Upgrade_Kit_Strong,
        CONSTANTS.item.Slayer_Upgrade_Kit_Elite,
        CONSTANTS.item.Slayer_Upgrade_Kit_Master,
        CONSTANTS.item.Slayer_Helmet_Basic,
        CONSTANTS.item.Slayer_Platebody_Basic,
        CONSTANTS.item.Slayer_Helmet_Strong,
        CONSTANTS.item.Slayer_Platebody_Strong,
        CONSTANTS.item.Slayer_Helmet_Elite,
        CONSTANTS.item.Slayer_Platebody_Elite,
        CONSTANTS.item.Slayer_Helmet_Master,
        CONSTANTS.item.Slayer_Platebody_Master,
        CONSTANTS.item.Slayer_Wizard_Hat_Basic,
        CONSTANTS.item.Slayer_Wizard_Robes_Basic,
        CONSTANTS.item.Slayer_Wizard_Hat_Strong,
        CONSTANTS.item.Slayer_Wizard_Robes_Strong,
        CONSTANTS.item.Slayer_Wizard_Hat_Elite,
        CONSTANTS.item.Slayer_Wizard_Robes_Elite,
        CONSTANTS.item.Slayer_Cowl_Basic,
        CONSTANTS.item.Slayer_Leather_Body_Basic,
        CONSTANTS.item.Slayer_Cowl_Strong,
        CONSTANTS.item.Slayer_Leather_Body_Strong,
        CONSTANTS.item.Slayer_Cowl_Elite,
        CONSTANTS.item.Slayer_Leather_Body_Elite,
        CONSTANTS.item.Slayer_Cowl_Master,
        CONSTANTS.item.Slayer_Leather_Body_Master,
        CONSTANTS.item.Slayer_Wizard_Hat_Master,
        CONSTANTS.item.Slayer_Wizard_Robes_Master,
        CONSTANTS.item.Mirror_Shield,
        CONSTANTS.item.Desert_Hat,
        CONSTANTS.item.Magical_Ring,
        CONSTANTS.item.Blazing_Lantern,
        CONSTANTS.item.Climbing_Boots,
        CONSTANTS.item.Shaman_Ring,
        CONSTANTS.item.Sand_Treaders,
        CONSTANTS.item.Elementalist_Gloves,
        CONSTANTS.item.Paladin_Gloves,
        CONSTANTS.item.Priest_Hat,
        CONSTANTS.item.Almighty_Lute,
        CONSTANTS.item.Desert_Wrappings,
        CONSTANTS.item.Desert_Sabre,
        CONSTANTS.item.Desert_Shortbow,
        CONSTANTS.item.Sandstorm_Ring,
        CONSTANTS.item.Darksteel_Dagger,
        CONSTANTS.item.Elder_Crown,
        CONSTANTS.item.Tormented_Ring,
        CONSTANTS.item.Sanguine_Blade,
        CONSTANTS.item.Recoil_Shield,
        CONSTANTS.item.Wasteful_Ring,
        CONSTANTS.item.Hunters_Ring,
        CONSTANTS.item.Obsidian_Cape,
        CONSTANTS.item.Cape_of_Arrow_Preservation,
        CONSTANTS.item.Dragon_Claw_Fragment,
        CONSTANTS.item.Dragon_Claw,
        CONSTANTS.item.Ancient_Claw_Fragment,
        CONSTANTS.item.Ancient_Claw,
        CONSTANTS.item.Ancient_2H_Sword,
        CONSTANTS.item.Infernal_Core,
        CONSTANTS.item.Infernal_Claw,
        CONSTANTS.item.Tidal_Edge_Fragment,
        CONSTANTS.item.Tidal_Edge,
        CONSTANTS.item.Ocean_Song_Fragment,
        CONSTANTS.item.Ocean_Song,
        CONSTANTS.item.Shockwave_Fragment,
        CONSTANTS.item.Shockwave,
        CONSTANTS.item.Signet_Ring_Half_A,
        CONSTANTS.item.Signet_Ring_Half_B,
        CONSTANTS.item.Aorpheats_Signet_Ring,
        CONSTANTS.item.Clue_Chasers_Insignia,
        CONSTANTS.item.Circlet_of_Rhaelyx,
        CONSTANTS.item.Jewel_of_Rhaelyx,
        CONSTANTS.item.Crown_of_Rhaelyx,
        CONSTANTS.item.Mysterious_Stone,
        CONSTANTS.item.Charge_Stone_of_Rhaelyx,
        CONSTANTS.item.Chest_of_Witwix,
        CONSTANTS.item.Amulet_of_Calculated_Promotion,
        CONSTANTS.item.Bird_Nest,
        CONSTANTS.item.Treasure_Chest,
        CONSTANTS.item.Egg_Chest,
        CONSTANTS.item.Standard_Chest,
        CONSTANTS.item.Bandit_Chest,
        CONSTANTS.item.Ancient_Longbow,
        CONSTANTS.item.Magic_Chest,
        CONSTANTS.item.Ancient_Wizard_Hat,
        CONSTANTS.item.Ancient_Wizard_Robes,
        CONSTANTS.item.Ancient_Wizard_Bottoms,
        CONSTANTS.item.Ancient_Wizard_Boots,
        CONSTANTS.item.Spider_Chest,
        CONSTANTS.item.Rangers_Hat,
        CONSTANTS.item.Ranger_Boots,
        CONSTANTS.item.Miolite_Chest,
        CONSTANTS.item.Miolite_Sceptre,
        CONSTANTS.item.Miolite_Helmet,
        CONSTANTS.item.Miolite_Platebody,
        CONSTANTS.item.Miolite_Platelegs,
        CONSTANTS.item.Miolite_Boots,
        CONSTANTS.item.Miolite_Shield,
        CONSTANTS.item.Pirate_Booty,
        CONSTANTS.item.Sunset_Rapier,
        CONSTANTS.item.Frozen_Chest,
        CONSTANTS.item.Ice_Dagger,
        CONSTANTS.item.Ice_Sword,
        CONSTANTS.item.Ice_Battleaxe,
        CONSTANTS.item.Ice_2h_Sword,
        CONSTANTS.item.Ice_Helmet,
        CONSTANTS.item.Ice_Platebody,
        CONSTANTS.item.Ice_Platelegs,
        CONSTANTS.item.Ice_Boots,
        CONSTANTS.item.Ice_Shield,
        CONSTANTS.item.Ice_Arrows,
        CONSTANTS.item.Ice_Shortbow,
        CONSTANTS.item.Ice_Longbow,
        CONSTANTS.item.Elder_Chest,
        CONSTANTS.item.Twin_Exiles,
        CONSTANTS.item.Ancient_Crossbow,
        CONSTANTS.item.Elite_Chest,
        CONSTANTS.item.Fire_Cape,
        CONSTANTS.item.Cape_Of_Prat,
        CONSTANTS.item.Ancient_Sword,
        CONSTANTS.item.Ancient_Helmet,
        CONSTANTS.item.Ancient_Platebody,
        CONSTANTS.item.Ancient_Platelegs,
        CONSTANTS.item.Ancient_Shield,
        CONSTANTS.item.Ancient_Helmet_T_S,
        CONSTANTS.item.Ancient_Platebody_T_S,
        CONSTANTS.item.Ancient_Platelegs_T_S,
        CONSTANTS.item.Ancient_Shield_T_S,
        CONSTANTS.item.Ancient_Helmet_T_G,
        CONSTANTS.item.Ancient_Platebody_T_G,
        CONSTANTS.item.Ancient_Platelegs_T_G,
        CONSTANTS.item.Ancient_Shield_T_G,
        CONSTANTS.item.Dragonfire_Shield,
        CONSTANTS.item.Infernal_Cape,
        CONSTANTS.item.Scroll_of_Aeris,
        CONSTANTS.item.Aeris_Godsword,
        CONSTANTS.item.Stormsnap,
        CONSTANTS.item.Aeris_God_Helmet,
        CONSTANTS.item.Aeris_God_Platebody,
        CONSTANTS.item.Aeris_God_Platelegs,
        CONSTANTS.item.Aeris_God_Boots,
        CONSTANTS.item.Aeris_God_Gloves,
        CONSTANTS.item.Scroll_of_Glacia,
        CONSTANTS.item.Glacia_Godsword,
        CONSTANTS.item.Cloudburst_Staff,
        CONSTANTS.item.Glacia_God_Helmet,
        CONSTANTS.item.Glacia_God_Platebody,
        CONSTANTS.item.Glacia_God_Platelegs,
        CONSTANTS.item.Glacia_God_Boots,
        CONSTANTS.item.Glacia_God_Gloves,
        CONSTANTS.item.Scroll_of_Terran,
        CONSTANTS.item.Terran_Godsword,
        CONSTANTS.item.Earth_Layered_Shield, // Leaving here since it's 1/2 special items from this scroll
        CONSTANTS.item.Terran_God_Helmet,
        CONSTANTS.item.Terran_God_Platelegs,
        CONSTANTS.item.Terran_God_Platebody,
        CONSTANTS.item.Terran_God_Boots,
        CONSTANTS.item.Terran_God_Gloves,
        CONSTANTS.item.Scroll_of_Ragnar,
        CONSTANTS.item.Ragnar_Godsword,
        CONSTANTS.item.Big_Ron,
        CONSTANTS.item.Ragnar_God_Helmet,
        CONSTANTS.item.Ragnar_God_Platelegs,
        CONSTANTS.item.Ragnar_God_Platebody,
        CONSTANTS.item.Ragnar_God_Boots,
        CONSTANTS.item.Ragnar_God_Gloves,
        CONSTANTS.item.Air_Shard,
        CONSTANTS.item.Air_Chest,
        CONSTANTS.item.Deadeye_Ring,
        CONSTANTS.item.Deadeye_Amulet,
        CONSTANTS.item.Water_Shard,
        CONSTANTS.item.Water_Chest,
        CONSTANTS.item.Warlock_Ring,
        CONSTANTS.item.Warlock_Amulet,
        CONSTANTS.item.Earth_Shard,
        CONSTANTS.item.Earth_Chest,
        CONSTANTS.item.Guardian_Ring,
        CONSTANTS.item.Guardian_Amulet,
        CONSTANTS.item.Fire_Shard,
        CONSTANTS.item.Fire_Chest,
        CONSTANTS.item.Fighter_Ring,
        CONSTANTS.item.Fighter_Amulet,
        CONSTANTS.item.Bank_Slot_Token,
        CONSTANTS.item.Futures_Prophecy,
        CONSTANTS.item.Unknown_Evil,
        CONSTANTS.item.New_Dawn,
        CONSTANTS.item.Summoning_Shard_Red,
        CONSTANTS.item.Summoning_Shard_Green,
        CONSTANTS.item.Summoning_Shard_Blue,
        CONSTANTS.item.Summoning_Shard_Silver,
        CONSTANTS.item.Summoning_Shard_Gold,
        CONSTANTS.item.Summoning_Shard_Black,
        CONSTANTS.item.Summoning_Familiar_Golbin_Thief,
        CONSTANTS.item.Summoning_Familiar_Occultist,
        CONSTANTS.item.Summoning_Familiar_Wolf,
        CONSTANTS.item.Summoning_Familiar_Ent,
        CONSTANTS.item.Summoning_Familiar_Mole,
        CONSTANTS.item.Summoning_Familiar_Octopus,
        CONSTANTS.item.Summoning_Familiar_Minotaur,
        CONSTANTS.item.Summoning_Familiar_Centaur,
        CONSTANTS.item.Summoning_Familiar_Witch,
        CONSTANTS.item.Summoning_Familiar_Pig,
        CONSTANTS.item.Summoning_Familiar_Crow,
        CONSTANTS.item.Summoning_Familiar_Leprechaun,
        CONSTANTS.item.Summoning_Familiar_Cyclops,
        CONSTANTS.item.Summoning_Familiar_Yak,
        CONSTANTS.item.Summoning_Familiar_Unicorn,
        CONSTANTS.item.Summoning_Familiar_Dragon,
        CONSTANTS.item.Summoning_Familiar_Monkey,
        CONSTANTS.item.Summoning_Familiar_Salamander,
        CONSTANTS.item.Summoning_Familiar_Bear,
        CONSTANTS.item.Summoning_Familiar_Devil,
        CONSTANTS.item.Necromancer_Hat,
        CONSTANTS.item.Necromancer_Robes,
        CONSTANTS.item.Necromancer_Bottoms,
        CONSTANTS.item.Necromancer_Boots,
        CONSTANTS.item.Lemon,
        CONSTANTS.item.Lemons,
        CONSTANTS.item.Lemonade,
        CONSTANTS.item.Eight,
        CONSTANTS.item.Event_Clue_1,
        CONSTANTS.item.Event_Clue_2,
        CONSTANTS.item.Event_Clue_3,
        CONSTANTS.item.Event_Clue_4,
        CONSTANTS.item.Cake_Base,
        CONSTANTS.item.Candle,
        CONSTANTS.item.Magical_Icing,
        CONSTANTS.item.Magical_Flavouring,
        CONSTANTS.item.Birthday_Cake,
        CONSTANTS.item.Birthday_Token,
        CONSTANTS.item.Santa_Hat,
        CONSTANTS.item.Christmas_Cracker,
        CONSTANTS.item.Friendship_Bracelet,
        CONSTANTS.item.Candy_Cane,
        CONSTANTS.item.Christmas_Coal,
        CONSTANTS.item.Christmas_Sweater,
        CONSTANTS.item.Christmas_Wreath,
        CONSTANTS.item.Easter_Egg,
        CONSTANTS.item.Abnormal_Log,
        CONSTANTS.item.Red_Herring,
        CONSTANTS.item.Red_Party_Hat,
        CONSTANTS.item.Purple_Party_Hat,
        CONSTANTS.item.Green_Party_Hat,
        CONSTANTS.item.Yellow_Party_Hat,
        CONSTANTS.item.Cool_Glasses,
    ];

    const enableOverride = () => {
        const sortBankNew = function sortBank() {
            if (SETTINGS.bank.defaultBankSort === 0)
                mapOrder(bank, SEMI.getValue('sort-override', 'sortOrder'), 'id');
            else if (SETTINGS.bank.defaultBankSort === 1) {
                bank.sort(function (a, b) {
                    return b.sellsFor - a.sellsFor;
                });
            } else if (SETTINGS.bank.defaultBankSort === 2) {
                bank.sort(function (a, b) {
                    return a.sellsFor - b.sellsFor;
                });
            } else if (SETTINGS.bank.defaultBankSort === 3) {
                bank.sort(function (a, b) {
                    return b.stackValue - a.stackValue;
                });
            } else if (SETTINGS.bank.defaultBankSort === 4) {
                bank.sort(function (a, b) {
                    return a.stackValue - b.stackValue;
                });
            }
            loadBank();
        };
        console.log('Attempting to modify Main.js sortBank');
        if (!document.getElementById('sortBank-replacement-script')) SEMI.replaceGameFunc('sortBank', sortBankNew);
        SEMI.setValue(id, 'sortOrder', betterSortOrder);
        console.log('Successfully adjusted bank sort order.');
    };

    const disableOverride = () => {
        SEMI.setValue(id, 'sortOrder', defaultBankSort);
        console.log('Successfully reverted bank sort order.');
    };

    SEMI.add(id, {
        ms: 0,
        pluginType: SEMI.PLUGIN_TYPE.TWEAK,
        title,
        desc,
        imgSrc,
        onEnable: enableOverride,
        onDisable: disableOverride,
    });
})();
